{
  description = "HTTP API for rendering OpenSCAD models";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }: flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = import nixpkgs {
        inherit system;
      };
    in
    rec {
      packages.openscad-http-api = pkgs.python3Packages.callPackage ({ buildPythonPackage, flask, jinja2, openscad }: buildPythonPackage {
        name = "openscad-http-api";

        src = self;

        propagatedBuildInputs = [ flask jinja2 ];

        buildInputs = [ openscad ];
      }) { };

      defaultPackage = packages.openscad-http-api;
    });
}
