#!/usr/bin/env python3
import setuptools

with open("README.md") as fh:
    long_description = fh.read()

with open("requirements.txt") as fh:
    install_requires = fh.read()

setuptools.setup(
    name="openscad-http-api",
    author="Simon Bruder",
    author_email="simon@sbruder.de",
    description="HTTP API for rendering OpenSCAD models",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=["openscad-http-api"],
    url="https://git.sbruder.de/simon/openscad-http-api",
    install_requires=install_requires,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.8',
)
